# OpenLayers.TileManager

Provides queueing of image requests and caching of image elements.

Queueing avoids unnecessary image requests while changing zoom levels quickly, and helps improve dragging performance on mobile devices that show a lag in dragging when loading of new images starts. zoomDelay and moveDelay are the configuration options to control this behavior.

Caching avoids setting the src on image elements for images that have already been used. Several maps can share a TileManager instance, in which case each map gets its own tile queue, but all maps share the same tile cache.

Summary

OpenLayers.TileManager | Provides queueing of image requests and caching of image elements.
Properties |
cacheSize | {Number} Number of image elements to keep referenced in this instance’s cache for fast reuse.
tilesPerFrame | {Number} Number of queued tiles to load per frame (see frameDelay).
frameDelay | {Number} Delay between tile loading frames (see tilesPerFrame) in milliseconds.
moveDelay | {Number} Delay in milliseconds after a map’s move event before loading tiles.
zoomDelay | {Number} Delay in milliseconds after a map’s zoomend event before loading tiles.
Constructor |
OpenLayers.TileManager | Constructor for a new OpenLayers.TileManager instance.

### Properties

### cacheSize

{Number} Number of image elements to keep referenced in this instance’s cache for fast reuse. Default is 256.

### tilesPerFrame

{Number} Number of queued tiles to load per frame (see frameDelay). Default is 2.

### frameDelay

{Number} Delay between tile loading frames (see tilesPerFrame) in milliseconds. Default is 16.

### moveDelay

{Number} Delay in milliseconds after a map’s move event before loading tiles. Default is 100.

### zoomDelay

{Number} Delay in milliseconds after a map’s zoomend event before loading tiles. Default is 200.

### Constructor

### OpenLayers.TileManager

Constructor for a new OpenLayers.TileManager instance.

#### Parameters

options | {Object} Configuration for this instance.

{Number} Delay between tile loading frames (see tilesPerFrame) in milliseconds.
{Number} Number of queued tiles to load per frame (see frameDelay).
Constructor for a new OpenLayers.TileManager instance.
{Number} Delay in milliseconds after a map’s zoomend event before loading tiles.
{Number} Delay in milliseconds after a map’s move event before loading tiles.
Close